## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate libheif-rs

Name:           rust-libheif-rs
Version:        2.2.0
Release:        %autorelease
Summary:        Safe wrapper around the libheif-sys crate for parsing heif/heic files

License:        MIT
URL:            https://crates.io/crates/libheif-rs
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Safe wrapper around the libheif-sys crate for parsing heif/heic files.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/
%exclude %{crate_instdir}/data/
%exclude %{crate_instdir}/tests/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+latest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+latest-devel %{_description}

This package contains library source intended for building other packages which
use the "latest" feature of the "%{crate}" crate.

%files       -n %{name}+latest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_17-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_17-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_17" feature of the "%{crate}" crate.

%files       -n %{name}+v1_17-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_18-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_18-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_18" feature of the "%{crate}" crate.

%files       -n %{name}+v1_18-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_19-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_19-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_19" feature of the "%{crate}" crate.

%files       -n %{name}+v1_19-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that rely on unavailable loaders for some image formats
%cargo_test -- -- --exact --skip get_auxiliary_images
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 04 2025 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-1
- Update to version 2.2.0; Fixes RHBZ#2341775

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 02 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-3
- Skip tests that rely on broken behaviour of older libheif versions

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 16 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Update to version 1.0.2; Fixes RHBZ#2280880

* Sun Apr 14 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Update to version 1.0.1; Fixes RHBZ#2275004

* Tue Apr 02 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-1
- Update to version 1.0.0; Fixes RHBZ#2251993

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 21 2023 Kalev Lember <klember@redhat.com> - 0.21.0-2
- Don't include the test data in the package

* Thu Sep 21 2023 Kalev Lember <klember@redhat.com> - 0.21.0-1
- Update to 0.21.0
- Re-enable self tests

* Thu Sep 21 2023 Kalev Lember <klember@redhat.com> - 0.20.0-1
- Initial Fedora packaging (rhbz#2235088)
## END: Generated by rpmautospec
